Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160433 - Switchdesk has the wrong path for fluxbox
Summary: Switchdesk has the wrong path for fluxbox
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: switchdesk
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 04:21 UTC by Peter Smith
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-19 16:30:33 UTC


Attachments (Terms of Use)

Description Peter Smith 2005-06-15 04:21:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
If you run switchdesk and select Fluxbox for your desktop WM, you will be given the following error dialog.

"[Information]
Your desktop configuration cannot be updated, please make sure that the package switchdesk has correctly been installed on the machine. [OK]"

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run switchdesk, either from a WM menu, or at a commandline ("switchdesk")
2. Select "F&luxbox" from the radio-buttons under "Available Desktops"
3. Click the "OK" button
  

Actual Results:  You will be given the following error dialog.

"[Information]
Your desktop configuration cannot be updated, please make sure that the package switchdesk has correctly been installed on the machine. [OK]"

Expected Results:  I should have received the following dialog.

"[Information]
Your desktop configuration has successfully been updated, but you must restart the X Window System for the changes to take effect. [OK]"

Additional info:

switchdesk-helper has the wrong path for fluxbox and is failling to find the main fluxbox binary.  The following patch should fix it.

--- /usr/bin/switchdesk-helper  2004-10-01 14:48:09.000000000 -0500
+++ /usr/bin/switchdesk-helper  2005-06-14 23:17:16.000000000 -0500
@@ -76,7 +76,7 @@
         NEW_XCLIENTS="$DATADIR/Xclients.xfce"
         ;;
     FLUXBOX)
-        [ ! -x /usr/bin/fluxbox ] && NotFound FLUXBOX
+        [ ! -x /usr/X11R6/bin/fluxbox ] && NotFound FLUXBOX
         DNAME="fluxbox"
         NEW_XCLIENTS="$DATADIR/Xclients.fluxbox"
         ;;

Comment 1 Ngo Than 2005-07-19 16:30:33 UTC
it's now fixed in 4.0.7-1, which will be available in rawhide soon. Thanks for
your report.


Note You need to log in before you can comment on or make changes to this bug.